package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取字段校验规则维护数据-接口出参
 * @author： zhanghang
 * @time: 2022/3/1 10:30
 */
@ApiModel(value = "获取字段校验规则维护数据-接口出参")
@Getter
@Setter
public class GetColumnVerifyPageDTO implements Serializable {


    private static final long serialVersionUID = 8948737933723938941L;
    @ApiModelProperty(value = "表的列信息ID")
    private Long columnId;

    @ApiModelProperty(value = "表名称（中文）")
    private String tableCname;

    @ApiModelProperty(value = "表名称（英文）")
    private String tableEname;

    @ApiModelProperty(value = "字段名称（中文）")
    private String columnCname;

    @ApiModelProperty(value = "字段名称（英文）")
    private String columnEname;

    @ApiModelProperty(value = "是否必填,0:否，1:是")
    private String isRequired;

    @ApiModelProperty(value = "标准值")
    private String standardvalue;

    @ApiModelProperty(value = "正则式名称")
    private String regular;

    @ApiModelProperty(value = "说明")
    private String description;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;
}
