package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 新增手术-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "新增手术-接口入参")
@Getter
@Setter
public class AddOperationVO implements Serializable {

    private static final long serialVersionUID = -345554179620072672L;

    @ApiModelProperty(value = "组织机构ID", required = true)
    @NotNull(message = "组织机构ID不能为空")
    private Long hospitalId;

    @ApiModelProperty(value = "手术和操作代码", required = true)
    @NotBlank(message = "手术和操作代码不能为空")
    private String code;

    @ApiModelProperty(value = "医院手术/操作名称", required = true)
    @NotBlank(message = "医院手术/操作名称不能为空")
    private String name;

}