package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @Description: 新增正则式-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "新增正则式-接口入参")
@Getter
@Setter
public class AddRegularVO implements Serializable {

    private static final long serialVersionUID = 5604429365497054795L;

    @ApiModelProperty(value = "正则式名称", required = true)
    @NotBlank(message = "正则式名称不能为空")
    @Size(min = 1, max = 30, message = ("正则式名称长度1-30"))
    private String name;

    @ApiModelProperty(value = "正则式值", required = true)
    @NotBlank(message = "正则式值不能为空")
    private String val;

    @ApiModelProperty(value = "描述")
    @Size(min = 0, max = 200, message = ("说明长度1-30"))
    private String description;

}