package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 数据校验-接口入参
 * @author： zhanghang
 * @time: 2022/3/10 13:26
 */
@ApiModel(value = "数据校验-接口入参")
@Getter
@Setter
public class DataCheckVO implements Serializable {
    private static final long serialVersionUID = -1055431771065850478L;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始时间", required = true)
    private Date dateStart;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束时间", required = true)
    private Date dateEnd;

    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "组织机构ID",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "是否为运行质控,0-运行质控,1-终末质控",required = true)
    private String isPlacefile;
}
