package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 获取字段校验问题明细数据-接口入参
 * @author： zhanghang
 * @time: 2022/3/9 10:30
 */
@ApiModel(value = "获取字段校验问题明细数据-接口入参")
@Getter
@Setter
public class GetColumnResultPageVO extends Page {

    private static final long serialVersionUID = -9174449428110548322L;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "入院开始时间", required = true)
    private Date behospitalStartDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "入院结束时间", required = true)
    private Date behospitalEndDate;

    @ApiModelProperty(value = "组织ID", required = true,hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "文书编号")
    private String hosptialDatatmpCode;

    @ApiModelProperty(value = "文书标题")
    private String hosptialDatatmpName;

    @ApiModelProperty(value = "质控模块名称")
    private String modeName;

    @ApiModelProperty(value = "问题类型 1-数据缺失，2-非标准值，3-正则校验失败")
    private String type;

    @ApiModelProperty(value = "状态 0:未解决，1:已解决")
    private String isSolved;

}
