package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description:匹配诊断-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@ApiModel(value = "匹配诊断-接口入参")
@Getter
@Setter
public class MatchingDiseaseVO implements Serializable {
    private static final long serialVersionUID = 5734204802934710700L;

    @ApiModelProperty(value = "诊断ID", required = true)
    @NotNull(message = "诊断ID不能为空")
    private Long id;

    @ApiModelProperty(value = "ICD-10编码")
    private String icd10;

    @ApiModelProperty(value = "标准词")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

}
