package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description:匹配药品信息-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@ApiModel(value = "匹配药品信息-接口入参")
@Getter
@Setter
public class MatchingDrugVO implements Serializable {
    private static final long serialVersionUID = 6819802638431511984L;

    @ApiModelProperty(value = "医院药品ID", required = true)
    @NotNull(message = "医院药品ID不能为空")
    private Long id;

    @ApiModelProperty(value = "药品剂型")
    private String dosageForm;

    @ApiModelProperty(value = "标准药品名称")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

}
