package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 通过id修改正则式-接口入参
 * @Author songxl
 * @Date 2022/2/28
 */
@ApiModel(value = "通过id修改正则式-接口入参")
@Getter
@Setter
public class UpRegularByIdVO implements Serializable {

    private static final long serialVersionUID = -3965829133055502607L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "诊断ID", required = true)
    @NotNull(message = "诊断ID不能为空")
    private Long id;

    @ApiModelProperty(value = "正则式名称", required = true)
    @NotBlank(message = "正则式名称不能为空")
    private String name;

    @ApiModelProperty(value = "正则式值", required = true)
    @NotBlank(message = "正则式值不能为空")
    private String val;

    @ApiModelProperty(value = "描述")
    private String description;

}
