package com.lantone.daqe.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.api.CommonResult;
import com.lantone.daqe.dto.GetConceptLibraryPageDTO;
import com.lantone.daqe.facade.CurrencyManagementFacade;
import com.lantone.daqe.vo.GetConceptLibraryPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 通用处理API
 * @author： rengb
 * @time: 2022/3/8 14:24
 */
@RestController
@Api(value = "通用处理API", tags = { "通用处理API" })
@RequestMapping("/currencyManage")
public class CurrencyManagmentController {

    @Autowired
    private CurrencyManagementFacade currencyManagementFacade;

    @ApiOperation(value = "获取标准词和同义词(一对一)分页列表 [by:rengb]")
    @PostMapping("/getConceptLibraryPage")
    public CommonResult<IPage<GetConceptLibraryPageDTO>> getConceptLibraryPage(@RequestBody GetConceptLibraryPageVO getConceptLibraryPageVO) {
        return CommonResult.success(currencyManagementFacade.getConceptLibraryPage(getConceptLibraryPageVO));
    }

}