package com.lantone.entity.cdss;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/6/10 19:16
 */
@Data
public class AnesthesiaConfig {
    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院科室名称
     */
    @Excel(name = "医院麻醉名称", width = 40, orderNum = "1", isImportField = "true")
    @NotBlank(message = "请输入医院麻醉名称")
    private String hisName;

    /**
     * 标准科室名称
     */
    @Excel(name = "标准麻醉名称", width = 40, orderNum = "2", isImportField = "true")
    @NotBlank(message = "请输入标准麻醉名称")
    private String uniqueName;

    /**
     * 是否匹配（0-未匹配、1-已匹配）
     */
    @Excel(name = "是否匹配【未匹配、已匹配】", width = 20, orderNum = "4", replace = { "未匹配_0", "已匹配_1", "_null" }, isImportField = "true")
    private Integer isMatch;

    /**
     * 数据来源（1-标准词、2-同义词、3-编码、4-历史数据、5-相似词、99-数据迁移）
     */
    @Excel(name = "数据来源【不填、标准词、同义词、编码、历史数据、相似词】", width = 20, orderNum = "5", replace = { "标准词_1", "同义词_2", "编码_3", "历史数据_4", "相似词_5", "数据迁移_99", "_null" }, isImportField = "true")
    private Integer source;
}
