package com.lantone.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lantone.report.dto.GetAppealReviewDTO;
import com.lantone.report.dto.GetComplaintRecordDTO;
import com.lantone.report.vo.GetAuditNumberVO;
import com.lantone.report.vo.GetComplaintRecordVO;
import com.lantone.report.vo.GetAppealReviewVO;
import com.lantone.report.vo.ApprovedVo;
import com.lantone.report.entity.AppealExamineInfo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：med_appeal_examine_info Mapper接口
 * </p>
 */
public interface AppealExamineInfoMapper extends BaseMapper<AppealExamineInfo> {
    /**
     * 申诉记录
     *
     * @param getComplaintRecordVO
     * @return
     */
    Page<GetComplaintRecordDTO> getComplaintRecord(@Param("getComplaintRecordVO") GetComplaintRecordVO getComplaintRecordVO);

    /**
     * 申诉审核列表
     *
     * @param getAppealReviewVO
     * @return
     */
    Page<GetAppealReviewDTO> getAppealReview(@Param("getAppealReviewVO") GetAppealReviewVO getAppealReviewVO);

    /**
     * 审核通过
     *
     * @param approvedVo
     * @return
     */
    Boolean approved(@Param("approvedVo") ApprovedVo approvedVo);

    /**
     * 获取待审核数量
     *
     * @param getAuditNumberVO
     * @return
     */
    Integer getAuditNumber(@Param("getAuditNumberVO") GetAuditNumberVO getAuditNumberVO);
}