package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 新增组织对象
 * </p>
 */
@Data
public class GetHospitalByIdDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织机构id")
    private Long Id;
    @ApiModelProperty(value = "父级组织机构id")
    private Long parentId;

    @ApiModelProperty(value = "组织机构代码")
    private String code;

    @ApiModelProperty(value = "组织机构名称")
    private String name;
    @ApiModelProperty(value = "父级组织机构名称")
    private String parentName;

    @ApiModelProperty(value = "组织机构类型（0:AI病案质控平台 1:集团医院 2:医共 3:医联 4:医院 5:科室）")
    @NotBlank(message = "组织机构类型不能为空")
    private String type;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "状态：0-禁用，1-启用")
    @NotBlank(message = "组织机构状态不能为空")
    private String status;

    @ApiModelProperty(value = "组织管理员用户")
    private GetHospitalUserDTO getHospitalUserDTO;

    @ApiModelProperty(value = "角色对象对象")
    private GetRoleDTO getRoleDTO;
}
