package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 角色输出对象
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class RoleDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "角色编号")
    private Long id;

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "角色描述")
    private String remark;

    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "医院id")
    private Long hospitalId;

    @ApiModelProperty(value = "创建用户id")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;

    @ApiModelProperty(value = "系统服务菜单返回对象列表")
    private List<SoftwareMenuDTO> softwareMenus;
}
