package com.lantone.security.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 功能菜单表 实体类
 * </p>
 */
@Data
@TableName("sys_menu")
public class Menu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 父级功能菜单ID
     */
    @TableField("parent_id")
    private Long parentId;

    /**
     * 功能菜单名称
     */
    @TableField("name")
    private String name;

    /**
     * 类型：0:目录，1菜单，2按钮，3：功能
     */
    @TableField("type")
    private String type;

    /**
     * 页面路由
     */
    @TableField("code")
    private String code;

    /**
     * 图标
     */
    @TableField("icon")
    private String icon;

    /**
     * 排序
     */
    @TableField("order_no")
    private String orderNo;

    /**
     * 描述
     */
    @TableField("menu_describe")
    private String menuDescribe;

    /**
     * 状态 0：禁用，1：启用
     */
    @TableField("status")
    private String status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @TableField("gmt_create")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @TableField("gmt_modified")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @TableField("creator")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @TableField("modifier")
    private String modifier;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}