package com.lantone.security.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 系统服务对象
 */
@Data
public class AddRoleSoftwareVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统服务编号",required = true)
    @NotNull(message = "系统服务编号为空")
    private Long id;

    @ApiModelProperty(value = "服务名称")
    private String name;

    @ApiModelProperty(value = "系统菜单列表",required = true)
    @NotEmpty(message = "系统菜单列表")
    private List<Long> softwareMenuIds;

    @ApiModelProperty(value = "系统功能权限列表",required = true)
    @NotEmpty(message = "系统功能权限列表")
    private List<Long> softwareResourceIds;
}
