package com.lantone.security.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: DataAuthVO
 * @Description: 添加时数据权限对象
 * @Author songxl
 * @Date 2021/7/21
 * @Version 1.0
 */
@Data
public class UpdateDataAuthVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "数据权限名称为空")
    private Long id;

    @ApiModelProperty(value = "数据权限名称", required = true)
    @NotBlank(message = "数据权限名称为空")
    private String name;

    @ApiModelProperty(value = "状态 0:禁用，1：启用", required = true)
    @NotBlank(message = "数据权限状态为空")
    private String status;


    @ApiModelProperty(value = "系统列表", required = true)
    @NotEmpty(message = "系统列表为空")
    private List<AddAuthSoftwareVO> softwareVOS;

}
